-- proba_bit5_GN.vhd


library IEEE;
use IEEE.std_logic_1164.all;
use IEEE.numeric_std.all;

entity proba_bit5_GN is
	port (
		LED6                       : out std_logic;                           --                       LED6.wire
		LED1                       : out std_logic;                           --                       LED1.wire
		LED2                       : out std_logic;                           --                       LED2.wire
		Clock                      : in  std_logic                    := '0'; --                      Clock.clk
		aclr                       : in  std_logic                    := '0'; --                           .reset_n
		LED7                       : out std_logic;                           --                       LED7.wire
		LED4                       : out std_logic;                           --                       LED4.wire
		LEDG2                      : out std_logic;                           --                      LEDG2.wire
		SW17                       : in  std_logic                    := '0'; --                       SW17.wire
		LEDG0                      : out std_logic;                           --                      LEDG0.wire
		LEDG1                      : out std_logic;                           --                      LEDG1.wire
		LED3                       : out std_logic;                           --                       LED3.wire
		Simple_7_Segment_Display_1 : out std_logic_vector(6 downto 0);        -- Simple_7_Segment_Display_1.wire
		PB3                        : in  std_logic                    := '0'; --                        PB3.wire
		LEDG7                      : out std_logic;                           --                      LEDG7.wire
		PB2                        : in  std_logic                    := '0'; --                        PB2.wire
		Simple_7_Segment_Display_3 : out std_logic_vector(6 downto 0);        -- Simple_7_Segment_Display_3.wire
		LED5                       : out std_logic;                           --                       LED5.wire
		LEDG4                      : out std_logic;                           --                      LEDG4.wire
		PB1                        : in  std_logic                    := '0'; --                        PB1.wire
		LED0                       : out std_logic;                           --                       LED0.wire
		LEDG5                      : out std_logic;                           --                      LEDG5.wire
		LEDG6                      : out std_logic;                           --                      LEDG6.wire
		Simple_7_Segment_Display_0 : out std_logic_vector(6 downto 0);        -- Simple_7_Segment_Display_0.wire
		LEDG3                      : out std_logic                            --                      LEDG3.wire
	);
end entity proba_bit5_GN;

architecture rtl of proba_bit5_GN is
	component alt_dspbuilder_clock_GNF343OQUJ is
		port (
			aclr      : in  std_logic := 'X'; -- reset
			aclr_n    : in  std_logic := 'X'; -- reset_n
			aclr_out  : out std_logic;        -- reset
			clock     : in  std_logic := 'X'; -- clk
			clock_out : out std_logic         -- clk
		);
	end component alt_dspbuilder_clock_GNF343OQUJ;

	component alt_dspbuilder_bus_build_GNXSVSW2ZT is
		generic (
			width : natural := 8
		);
		port (
			output : out std_logic_vector(6 downto 0);        -- wire
			in0    : in  std_logic                    := 'X'; -- wire
			in1    : in  std_logic                    := 'X'; -- wire
			in2    : in  std_logic                    := 'X'; -- wire
			in3    : in  std_logic                    := 'X'; -- wire
			in4    : in  std_logic                    := 'X'; -- wire
			in5    : in  std_logic                    := 'X'; -- wire
			in6    : in  std_logic                    := 'X'  -- wire
		);
	end component alt_dspbuilder_bus_build_GNXSVSW2ZT;

	component alt_dspbuilder_bus_build_GNJDV7M2AM is
		generic (
			width : natural := 8
		);
		port (
			output : out std_logic_vector(3 downto 0);        -- wire
			in0    : in  std_logic                    := 'X'; -- wire
			in1    : in  std_logic                    := 'X'; -- wire
			in2    : in  std_logic                    := 'X'; -- wire
			in3    : in  std_logic                    := 'X'  -- wire
		);
	end component alt_dspbuilder_bus_build_GNJDV7M2AM;

	component bit5 is
		port (
			clr : in  std_logic := 'X'; -- wire
			d   : in  std_logic := 'X'; -- wire
			e   : in  std_logic := 'X'; -- wire
			Q0  : out std_logic;        -- wire
			Q1  : out std_logic;        -- wire
			Q2  : out std_logic;        -- wire
			Q3  : out std_logic;        -- wire
			Q4  : out std_logic;        -- wire
			Q5  : out std_logic;        -- wire
			Q6  : out std_logic;        -- wire
			Q7  : out std_logic;        -- wire
			u   : in  std_logic := 'X'; -- wire
			x   : in  std_logic := 'X'  -- clk
		);
	end component bit5;

	component alt_dspbuilder_multiplexer_GN2LYSYNCA is
		generic (
			number_inputs          : natural  := 4;
			pipeline               : natural  := 0;
			width                  : positive := 8;
			use_one_hot_select_bus : natural  := 0;
			HDLTYPE                : string   := "STD_LOGIC_VECTOR"
		);
		port (
			clock     : in  std_logic                    := 'X';             -- clk
			aclr      : in  std_logic                    := 'X';             -- reset
			sel       : in  std_logic_vector(1 downto 0) := (others => 'X'); -- wire
			result    : out std_logic_vector(6 downto 0);                    -- wire
			ena       : in  std_logic                    := 'X';             -- wire
			user_aclr : in  std_logic                    := 'X';             -- wire
			in0       : in  std_logic_vector(6 downto 0) := (others => 'X'); -- wire
			in1       : in  std_logic_vector(6 downto 0) := (others => 'X'); -- wire
			in2       : in  std_logic_vector(6 downto 0) := (others => 'X'); -- wire
			in3       : in  std_logic_vector(6 downto 0) := (others => 'X')  -- wire
		);
	end component alt_dspbuilder_multiplexer_GN2LYSYNCA;

	component alt_dspbuilder_gnd_GN is
		port (
			output : out std_logic   -- wire
		);
	end component alt_dspbuilder_gnd_GN;

	component alt_dspbuilder_vcc_GN is
		port (
			output : out std_logic   -- wire
		);
	end component alt_dspbuilder_vcc_GN;

	component alt_dspbuilder_bus_build_GNGCK3JP43 is
		generic (
			width : natural := 8
		);
		port (
			output : out std_logic_vector(1 downto 0);        -- wire
			in0    : in  std_logic                    := 'X'; -- wire
			in1    : in  std_logic                    := 'X'  -- wire
		);
	end component alt_dspbuilder_bus_build_GNGCK3JP43;

	component alt_dspbuilder_logical_bit_op_GNKUBZL4TE is
		generic (
			number_inputs : positive := 2;
			LogicalOp     : string   := "AltAND"
		);
		port (
			result : out std_logic;        -- wire
			data0  : in  std_logic := 'X'  -- wire
		);
	end component alt_dspbuilder_logical_bit_op_GNKUBZL4TE;

	component alt_dspbuilder_logical_bit_op_GNA5ZFEL7V is
		generic (
			number_inputs : positive := 2;
			LogicalOp     : string   := "AltAND"
		);
		port (
			result : out std_logic;        -- wire
			data0  : in  std_logic := 'X'; -- wire
			data1  : in  std_logic := 'X'  -- wire
		);
	end component alt_dspbuilder_logical_bit_op_GNA5ZFEL7V;

	component alt_dspbuilder_delay_GNGQ56ZS4N is
		generic (
			width      : positive := 8;
			delay      : positive := 1;
			ClockPhase : string   := "1";
			use_init   : natural  := 0;
			BitPattern : string   := "00000001"
		);
		port (
			aclr   : in  std_logic                          := 'X';             -- clk
			clock  : in  std_logic                          := 'X';             -- clk
			ena    : in  std_logic                          := 'X';             -- wire
			input  : in  std_logic_vector(width-1 downto 0) := (others => 'X'); -- wire
			output : out std_logic_vector(width-1 downto 0);                    -- wire
			sclr   : in  std_logic                          := 'X'              -- wire
		);
	end component alt_dspbuilder_delay_GNGQ56ZS4N;

	component alt_dspbuilder_port_GNLJ3WZK52 is
		port (
			input  : in  std_logic_vector(6 downto 0) := (others => 'X'); -- wire
			output : out std_logic_vector(6 downto 0)                     -- wire
		);
	end component alt_dspbuilder_port_GNLJ3WZK52;

	component alt_dspbuilder_port_GN37ALZBS4 is
		port (
			input  : in  std_logic := 'X'; -- wire
			output : out std_logic         -- wire
		);
	end component alt_dspbuilder_port_GN37ALZBS4;

	component alt_dspbuilder_binary_to_7segment_GN is
		port (
			aclr   : in  std_logic                    := 'X';             -- clk
			clock  : in  std_logic                    := 'X';             -- clk
			data   : in  std_logic_vector(3 downto 0) := (others => 'X'); -- wire
			result : out std_logic_vector(6 downto 0)                     -- wire
		);
	end component alt_dspbuilder_binary_to_7segment_GN;

	component alt_dspbuilder_multiplexer_GNTDNMXMER is
		generic (
			number_inputs          : natural  := 4;
			pipeline               : natural  := 0;
			width                  : positive := 8;
			use_one_hot_select_bus : natural  := 0;
			HDLTYPE                : string   := "STD_LOGIC_VECTOR"
		);
		port (
			clock     : in  std_logic                    := 'X';             -- clk
			aclr      : in  std_logic                    := 'X';             -- reset
			sel       : in  std_logic_vector(1 downto 0) := (others => 'X'); -- wire
			result    : out std_logic_vector(7 downto 0);                    -- wire
			ena       : in  std_logic                    := 'X';             -- wire
			user_aclr : in  std_logic                    := 'X';             -- wire
			in0       : in  std_logic_vector(7 downto 0) := (others => 'X'); -- wire
			in1       : in  std_logic_vector(7 downto 0) := (others => 'X'); -- wire
			in2       : in  std_logic_vector(7 downto 0) := (others => 'X'); -- wire
			in3       : in  std_logic_vector(7 downto 0) := (others => 'X')  -- wire
		);
	end component alt_dspbuilder_multiplexer_GNTDNMXMER;

	component bit4 is
		port (
			clr : in  std_logic := 'X'; -- wire
			d   : in  std_logic := 'X'; -- wire
			e   : in  std_logic := 'X'; -- wire
			Q0  : out std_logic;        -- wire
			Q1  : out std_logic;        -- wire
			Q2  : out std_logic;        -- wire
			Q3  : out std_logic;        -- wire
			u   : in  std_logic := 'X'; -- wire
			W0  : out std_logic;        -- wire
			W1  : out std_logic;        -- wire
			W2  : out std_logic;        -- wire
			W3  : out std_logic;        -- wire
			x   : in  std_logic := 'X'  -- clk
		);
	end component bit4;

	component bit2 is
		port (
			clk : in  std_logic := 'X'; -- wire
			clr : in  std_logic := 'X'; -- wire
			Q0  : out std_logic;        -- wire
			Q1  : out std_logic;        -- wire
			x   : in  std_logic := 'X'  -- clk
		);
	end component bit2;

	component alt_dspbuilder_cast_GNMMXHT3UH is
		generic (
			saturate : natural := 0;
			round    : natural := 0
		);
		port (
			input  : in  std_logic_vector(3 downto 0) := (others => 'X'); -- wire
			output : out std_logic_vector(3 downto 0)                     -- wire
		);
	end component alt_dspbuilder_cast_GNMMXHT3UH;

	component alt_dspbuilder_cast_GNSB3OXIQS is
		generic (
			saturate : natural := 0;
			round    : natural := 0
		);
		port (
			input  : in  std_logic_vector(0 downto 0) := (others => 'X'); -- wire
			output : out std_logic                                        -- wire
		);
	end component alt_dspbuilder_cast_GNSB3OXIQS;

	component alt_dspbuilder_cast_GNJ2LKRJ5Z is
		generic (
			saturate : natural := 0;
			round    : natural := 0
		);
		port (
			input  : in  std_logic_vector(1 downto 0) := (others => 'X'); -- wire
			output : out std_logic_vector(1 downto 0)                     -- wire
		);
	end component alt_dspbuilder_cast_GNJ2LKRJ5Z;

	component alt_dspbuilder_cast_GNNIDJQYAP is
		generic (
			saturate : natural := 0;
			round    : natural := 0
		);
		port (
			input  : in  std_logic_vector(6 downto 0) := (others => 'X'); -- wire
			output : out std_logic_vector(7 downto 0)                     -- wire
		);
	end component alt_dspbuilder_cast_GNNIDJQYAP;

	component alt_dspbuilder_cast_GNCTOBGS2T is
		generic (
			saturate : natural := 0;
			round    : natural := 0
		);
		port (
			input  : in  std_logic_vector(6 downto 0) := (others => 'X'); -- wire
			output : out std_logic_vector(7 downto 0)                     -- wire
		);
	end component alt_dspbuilder_cast_GNCTOBGS2T;

	component alt_dspbuilder_cast_GN46N4UJ5S is
		generic (
			saturate : natural := 0;
			round    : natural := 0
		);
		port (
			input  : in  std_logic                    := 'X'; -- wire
			output : out std_logic_vector(0 downto 0)         -- wire
		);
	end component alt_dspbuilder_cast_GN46N4UJ5S;

	component alt_dspbuilder_cast_GNXFIR65ZQ is
		generic (
			saturate : natural := 0;
			round    : natural := 0
		);
		port (
			input  : in  std_logic_vector(7 downto 0) := (others => 'X'); -- wire
			output : out std_logic_vector(6 downto 0)                     -- wire
		);
	end component alt_dspbuilder_cast_GNXFIR65ZQ;

	component alt_dspbuilder_cast_GNJKCVET7X is
		generic (
			saturate : natural := 0;
			round    : natural := 0
		);
		port (
			input  : in  std_logic_vector(6 downto 0) := (others => 'X'); -- wire
			output : out std_logic_vector(6 downto 0)                     -- wire
		);
	end component alt_dspbuilder_cast_GNJKCVET7X;

	signal multiplexeruser_aclrgnd_output_wire   : std_logic;                    -- Multiplexeruser_aclrGND:output -> Multiplexer:user_aclr
	signal multiplexerenavcc_output_wire         : std_logic;                    -- MultiplexerenaVCC:output -> Multiplexer:ena
	signal delaysclrgnd_output_wire              : std_logic;                    -- DelaysclrGND:output -> Delay:sclr
	signal delayenavcc_output_wire               : std_logic;                    -- DelayenaVCC:output -> Delay:ena
	signal multiplexer1user_aclrgnd_output_wire  : std_logic;                    -- Multiplexer1user_aclrGND:output -> Multiplexer1:user_aclr
	signal multiplexer1enavcc_output_wire        : std_logic;                    -- Multiplexer1enaVCC:output -> Multiplexer1:ena
	signal multiplexer2user_aclrgnd_output_wire  : std_logic;                    -- Multiplexer2user_aclrGND:output -> Multiplexer2:user_aclr
	signal multiplexer2enavcc_output_wire        : std_logic;                    -- Multiplexer2enaVCC:output -> Multiplexer2:ena
	signal delay1sclrgnd_output_wire             : std_logic;                    -- Delay1sclrGND:output -> Delay1:sclr
	signal delay1enavcc_output_wire              : std_logic;                    -- Delay1enaVCC:output -> Delay1:ena
	signal gnd1_output_wire                      : std_logic;                    -- GND1:output -> [Bus_Builder2:in0, Bus_Builder2:in1, Bus_Builder2:in4, Bus_Builder2:in5, Bus_Builder2:in6]
	signal gnd2_output_wire                      : std_logic;                    -- GND2:output -> [Bus_Builder3:in4, Bus_Builder3:in5]
	signal gnd3_output_wire                      : std_logic;                    -- GND3:output -> [Bus_Builder4:in0, Bus_Builder4:in1, Bus_Builder4:in2, Bus_Builder4:in3, Bus_Builder4:in4, Bus_Builder4:in5]
	signal hdl_import_q3_wire                    : std_logic;                    -- HDL_Import:Q3 -> Bus_Builder:in3
	signal hdl_import_q2_wire                    : std_logic;                    -- HDL_Import:Q2 -> Bus_Builder:in2
	signal hdl_import_q1_wire                    : std_logic;                    -- HDL_Import:Q1 -> Bus_Builder:in1
	signal hdl_import_q0_wire                    : std_logic;                    -- HDL_Import:Q0 -> Bus_Builder:in0
	signal hdl_import_w3_wire                    : std_logic;                    -- HDL_Import:W3 -> Bus_Builder1:in3
	signal hdl_import_w2_wire                    : std_logic;                    -- HDL_Import:W2 -> Bus_Builder1:in2
	signal hdl_import_w1_wire                    : std_logic;                    -- HDL_Import:W1 -> Bus_Builder1:in1
	signal hdl_import_w0_wire                    : std_logic;                    -- HDL_Import:W0 -> Bus_Builder1:in0
	signal hdl_import1_q1_wire                   : std_logic;                    -- HDL_Import1:Q1 -> [Bus_Builder5:in1, Logical_Bit_Operator4:data1, Logical_Bit_Operator5:data1, Logical_Bit_Operator6:data0]
	signal hdl_import1_q0_wire                   : std_logic;                    -- HDL_Import1:Q0 -> [Bus_Builder5:in0, Logical_Bit_Operator3:data0, Logical_Bit_Operator5:data0, Logical_Bit_Operator7:data0]
	signal hdl_import2_q3_wire                   : std_logic;                    -- HDL_Import2:Q3 -> Bus_Builder7:in3
	signal hdl_import2_q2_wire                   : std_logic;                    -- HDL_Import2:Q2 -> Bus_Builder7:in2
	signal hdl_import2_q1_wire                   : std_logic;                    -- HDL_Import2:Q1 -> Bus_Builder7:in1
	signal hdl_import2_q0_wire                   : std_logic;                    -- HDL_Import2:Q0 -> Bus_Builder7:in0
	signal hdl_import2_w3_wire                   : std_logic;                    -- HDL_Import2:W3 -> Bus_Builder8:in3
	signal hdl_import2_w2_wire                   : std_logic;                    -- HDL_Import2:W2 -> Bus_Builder8:in2
	signal hdl_import2_w1_wire                   : std_logic;                    -- HDL_Import2:W1 -> Bus_Builder8:in1
	signal hdl_import2_w0_wire                   : std_logic;                    -- HDL_Import2:W0 -> Bus_Builder8:in0
	signal hdl_import3_q3_wire                   : std_logic;                    -- HDL_Import3:Q3 -> Bus_Builder9:in3
	signal hdl_import3_q2_wire                   : std_logic;                    -- HDL_Import3:Q2 -> Bus_Builder9:in2
	signal hdl_import3_q1_wire                   : std_logic;                    -- HDL_Import3:Q1 -> Bus_Builder9:in1
	signal hdl_import3_q0_wire                   : std_logic;                    -- HDL_Import3:Q0 -> Bus_Builder9:in0
	signal hdl_import3_w3_wire                   : std_logic;                    -- HDL_Import3:W3 -> Bus_Builder10:in3
	signal hdl_import3_w2_wire                   : std_logic;                    -- HDL_Import3:W2 -> Bus_Builder10:in2
	signal hdl_import3_w1_wire                   : std_logic;                    -- HDL_Import3:W1 -> Bus_Builder10:in1
	signal hdl_import3_w0_wire                   : std_logic;                    -- HDL_Import3:W0 -> Bus_Builder10:in0
	signal hdl_import4_q0_wire                   : std_logic;                    -- HDL_Import4:Q0 -> LED0_0:input
	signal hdl_import4_q1_wire                   : std_logic;                    -- HDL_Import4:Q1 -> LED1_0:input
	signal hdl_import4_q2_wire                   : std_logic;                    -- HDL_Import4:Q2 -> LED2_0:input
	signal hdl_import4_q3_wire                   : std_logic;                    -- HDL_Import4:Q3 -> LED3_0:input
	signal hdl_import4_q4_wire                   : std_logic;                    -- HDL_Import4:Q4 -> LED4_0:input
	signal hdl_import4_q5_wire                   : std_logic;                    -- HDL_Import4:Q5 -> LED5_0:input
	signal hdl_import4_q6_wire                   : std_logic;                    -- HDL_Import4:Q6 -> LED6_0:input
	signal hdl_import4_q7_wire                   : std_logic;                    -- HDL_Import4:Q7 -> LED7_0:input
	signal hdl_import5_q0_wire                   : std_logic;                    -- HDL_Import5:Q0 -> LEDG0_0:input
	signal hdl_import5_q1_wire                   : std_logic;                    -- HDL_Import5:Q1 -> LEDG1_0:input
	signal hdl_import5_q2_wire                   : std_logic;                    -- HDL_Import5:Q2 -> LEDG2_0:input
	signal hdl_import5_q3_wire                   : std_logic;                    -- HDL_Import5:Q3 -> LEDG3_0:input
	signal hdl_import5_q4_wire                   : std_logic;                    -- HDL_Import5:Q4 -> LEDG4_0:input
	signal hdl_import5_q5_wire                   : std_logic;                    -- HDL_Import5:Q5 -> LEDG5_0:input
	signal hdl_import5_q6_wire                   : std_logic;                    -- HDL_Import5:Q6 -> LEDG6_0:input
	signal hdl_import5_q7_wire                   : std_logic;                    -- HDL_Import5:Q7 -> LEDG7_0:input
	signal logical_bit_operator_result_wire      : std_logic;                    -- Logical_Bit_Operator:result -> [HDL_Import2:u, HDL_Import3:u, HDL_Import4:u, HDL_Import5:u, HDL_Import:u]
	signal logical_bit_operator1_result_wire     : std_logic;                    -- Logical_Bit_Operator1:result -> [HDL_Import2:d, HDL_Import3:d, HDL_Import4:d, HDL_Import5:d, HDL_Import:d]
	signal logical_bit_operator2_result_wire     : std_logic;                    -- Logical_Bit_Operator2:result -> HDL_Import1:clk
	signal logical_bit_operator3_result_wire     : std_logic;                    -- Logical_Bit_Operator3:result -> [HDL_Import4:e, HDL_Import:e]
	signal logical_bit_operator4_result_wire     : std_logic;                    -- Logical_Bit_Operator4:result -> [HDL_Import2:e, HDL_Import5:e]
	signal logical_bit_operator5_result_wire     : std_logic;                    -- Logical_Bit_Operator5:result -> HDL_Import3:e
	signal logical_bit_operator6_result_wire     : std_logic;                    -- Logical_Bit_Operator6:result -> Logical_Bit_Operator3:data1
	signal logical_bit_operator7_result_wire     : std_logic;                    -- Logical_Bit_Operator7:result -> Logical_Bit_Operator4:data0
	signal bus_builder6_output_wire              : std_logic_vector(6 downto 0); -- Bus_Builder6:output -> [Multiplexer:in0, cast10:input, cast15:input]
	signal bus_builder2_output_wire              : std_logic_vector(6 downto 0); -- Bus_Builder2:output -> Multiplexer:in1
	signal bus_builder3_output_wire              : std_logic_vector(6 downto 0); -- Bus_Builder3:output -> Multiplexer:in2
	signal bus_builder4_output_wire              : std_logic_vector(6 downto 0); -- Bus_Builder4:output -> Multiplexer:in3
	signal pb3_0_output_wire                     : std_logic;                    -- PB3_0:output -> Logical_Bit_Operator2:data0
	signal sw17_0_output_wire                    : std_logic;                    -- SW17_0:output -> [HDL_Import1:clr, HDL_Import2:clr, HDL_Import3:clr, HDL_Import4:clr, HDL_Import5:clr, HDL_Import:clr]
	signal vcc1_output_wire                      : std_logic;                    -- VCC1:output -> [Bus_Builder2:in2, Bus_Builder2:in3]
	signal vcc2_output_wire                      : std_logic;                    -- VCC2:output -> [Bus_Builder3:in0, Bus_Builder3:in1, Bus_Builder3:in2, Bus_Builder3:in3, Bus_Builder3:in6]
	signal vcc3_output_wire                      : std_logic;                    -- VCC3:output -> Bus_Builder4:in6
	signal vcc4_output_wire                      : std_logic;                    -- VCC4:output -> [Bus_Builder6:in0, Bus_Builder6:in1, Bus_Builder6:in2, Bus_Builder6:in3, Bus_Builder6:in4, Bus_Builder6:in5, Bus_Builder6:in6]
	signal bus_builder_output_wire               : std_logic_vector(3 downto 0); -- Bus_Builder:output -> cast0:input
	signal cast0_output_wire                     : std_logic_vector(3 downto 0); -- cast0:output -> Binary_To_Seven_Segments:data
	signal bus_builder1_output_wire              : std_logic_vector(3 downto 0); -- Bus_Builder1:output -> cast1:input
	signal cast1_output_wire                     : std_logic_vector(3 downto 0); -- cast1:output -> Binary_To_Seven_Segments1:data
	signal bus_builder10_output_wire             : std_logic_vector(3 downto 0); -- Bus_Builder10:output -> cast2:input
	signal cast2_output_wire                     : std_logic_vector(3 downto 0); -- cast2:output -> Binary_To_Seven_Segments5:data
	signal bus_builder7_output_wire              : std_logic_vector(3 downto 0); -- Bus_Builder7:output -> cast3:input
	signal cast3_output_wire                     : std_logic_vector(3 downto 0); -- cast3:output -> Binary_To_Seven_Segments2:data
	signal bus_builder8_output_wire              : std_logic_vector(3 downto 0); -- Bus_Builder8:output -> cast4:input
	signal cast4_output_wire                     : std_logic_vector(3 downto 0); -- cast4:output -> Binary_To_Seven_Segments3:data
	signal bus_builder9_output_wire              : std_logic_vector(3 downto 0); -- Bus_Builder9:output -> cast5:input
	signal cast5_output_wire                     : std_logic_vector(3 downto 0); -- cast5:output -> Binary_To_Seven_Segments4:data
	signal delay_output_wire                     : std_logic_vector(0 downto 0); -- Delay:output -> cast6:input
	signal cast6_output_wire                     : std_logic;                    -- cast6:output -> Logical_Bit_Operator:data0
	signal delay1_output_wire                    : std_logic_vector(0 downto 0); -- Delay1:output -> cast7:input
	signal cast7_output_wire                     : std_logic;                    -- cast7:output -> Logical_Bit_Operator1:data0
	signal bus_builder5_output_wire              : std_logic_vector(1 downto 0); -- Bus_Builder5:output -> [cast14:input, cast8:input, cast9:input]
	signal cast8_output_wire                     : std_logic_vector(1 downto 0); -- cast8:output -> Multiplexer:sel
	signal cast9_output_wire                     : std_logic_vector(1 downto 0); -- cast9:output -> Multiplexer1:sel
	signal cast10_output_wire                    : std_logic_vector(7 downto 0); -- cast10:output -> Multiplexer1:in0
	signal binary_to_seven_segments_result_wire  : std_logic_vector(6 downto 0); -- Binary_To_Seven_Segments:result -> cast11:input
	signal cast11_output_wire                    : std_logic_vector(7 downto 0); -- cast11:output -> Multiplexer1:in1
	signal binary_to_seven_segments2_result_wire : std_logic_vector(6 downto 0); -- Binary_To_Seven_Segments2:result -> cast12:input
	signal cast12_output_wire                    : std_logic_vector(7 downto 0); -- cast12:output -> Multiplexer1:in2
	signal binary_to_seven_segments4_result_wire : std_logic_vector(6 downto 0); -- Binary_To_Seven_Segments4:result -> cast13:input
	signal cast13_output_wire                    : std_logic_vector(7 downto 0); -- cast13:output -> Multiplexer1:in3
	signal cast14_output_wire                    : std_logic_vector(1 downto 0); -- cast14:output -> Multiplexer2:sel
	signal cast15_output_wire                    : std_logic_vector(7 downto 0); -- cast15:output -> Multiplexer2:in0
	signal binary_to_seven_segments1_result_wire : std_logic_vector(6 downto 0); -- Binary_To_Seven_Segments1:result -> cast16:input
	signal cast16_output_wire                    : std_logic_vector(7 downto 0); -- cast16:output -> Multiplexer2:in1
	signal binary_to_seven_segments3_result_wire : std_logic_vector(6 downto 0); -- Binary_To_Seven_Segments3:result -> cast17:input
	signal cast17_output_wire                    : std_logic_vector(7 downto 0); -- cast17:output -> Multiplexer2:in2
	signal binary_to_seven_segments5_result_wire : std_logic_vector(6 downto 0); -- Binary_To_Seven_Segments5:result -> cast18:input
	signal cast18_output_wire                    : std_logic_vector(7 downto 0); -- cast18:output -> Multiplexer2:in3
	signal pb1_0_output_wire                     : std_logic;                    -- PB1_0:output -> cast19:input
	signal cast19_output_wire                    : std_logic_vector(0 downto 0); -- cast19:output -> Delay:input
	signal pb2_0_output_wire                     : std_logic;                    -- PB2_0:output -> cast20:input
	signal cast20_output_wire                    : std_logic_vector(0 downto 0); -- cast20:output -> Delay1:input
	signal multiplexer1_result_wire              : std_logic_vector(7 downto 0); -- Multiplexer1:result -> cast21:input
	signal cast21_output_wire                    : std_logic_vector(6 downto 0); -- cast21:output -> Simple_7_Segment_Display_0_0:input
	signal multiplexer2_result_wire              : std_logic_vector(7 downto 0); -- Multiplexer2:result -> cast22:input
	signal cast22_output_wire                    : std_logic_vector(6 downto 0); -- cast22:output -> Simple_7_Segment_Display_1_0:input
	signal multiplexer_result_wire               : std_logic_vector(6 downto 0); -- Multiplexer:result -> cast23:input
	signal cast23_output_wire                    : std_logic_vector(6 downto 0); -- cast23:output -> Simple_7_Segment_Display_3_0:input
	signal clock_0_clock_output_clk              : std_logic;                    -- Clock_0:clock_out -> [Binary_To_Seven_Segments1:clock, Binary_To_Seven_Segments2:clock, Binary_To_Seven_Segments3:clock, Binary_To_Seven_Segments4:clock, Binary_To_Seven_Segments5:clock, Binary_To_Seven_Segments:clock, Delay1:clock, Delay:clock, HDL_Import1:x, HDL_Import2:x, HDL_Import3:x, HDL_Import4:x, HDL_Import5:x, HDL_Import:x, Multiplexer1:clock, Multiplexer2:clock, Multiplexer:clock]
	signal clock_0_clock_output_reset            : std_logic;                    -- Clock_0:aclr_out -> [Binary_To_Seven_Segments1:aclr, Binary_To_Seven_Segments2:aclr, Binary_To_Seven_Segments3:aclr, Binary_To_Seven_Segments4:aclr, Binary_To_Seven_Segments5:aclr, Binary_To_Seven_Segments:aclr, Delay1:aclr, Delay:aclr, Multiplexer1:aclr, Multiplexer2:aclr, Multiplexer:aclr]

begin

	clock_0 : component alt_dspbuilder_clock_GNF343OQUJ
		port map (
			clock_out => clock_0_clock_output_clk,   -- clock_output.clk
			aclr_out  => clock_0_clock_output_reset, --             .reset
			clock     => Clock,                      --        clock.clk
			aclr_n    => aclr                        --             .reset_n
		);

	bus_builder2 : component alt_dspbuilder_bus_build_GNXSVSW2ZT
		generic map (
			width => 7
		)
		port map (
			output => bus_builder2_output_wire, -- output.wire
			in0    => gnd1_output_wire,         --    in0.wire
			in1    => gnd1_output_wire,         --    in1.wire
			in2    => vcc1_output_wire,         --    in2.wire
			in3    => vcc1_output_wire,         --    in3.wire
			in4    => gnd1_output_wire,         --    in4.wire
			in5    => gnd1_output_wire,         --    in5.wire
			in6    => gnd1_output_wire          --    in6.wire
		);

	bus_builder3 : component alt_dspbuilder_bus_build_GNXSVSW2ZT
		generic map (
			width => 7
		)
		port map (
			output => bus_builder3_output_wire, -- output.wire
			in0    => vcc2_output_wire,         --    in0.wire
			in1    => vcc2_output_wire,         --    in1.wire
			in2    => vcc2_output_wire,         --    in2.wire
			in3    => vcc2_output_wire,         --    in3.wire
			in4    => gnd2_output_wire,         --    in4.wire
			in5    => gnd2_output_wire,         --    in5.wire
			in6    => vcc2_output_wire          --    in6.wire
		);

	bus_builder : component alt_dspbuilder_bus_build_GNJDV7M2AM
		generic map (
			width => 4
		)
		port map (
			output => bus_builder_output_wire, -- output.wire
			in0    => hdl_import_q0_wire,      --    in0.wire
			in1    => hdl_import_q1_wire,      --    in1.wire
			in2    => hdl_import_q2_wire,      --    in2.wire
			in3    => hdl_import_q3_wire       --    in3.wire
		);

	bus_builder1 : component alt_dspbuilder_bus_build_GNJDV7M2AM
		generic map (
			width => 4
		)
		port map (
			output => bus_builder1_output_wire, -- output.wire
			in0    => hdl_import_w0_wire,       --    in0.wire
			in1    => hdl_import_w1_wire,       --    in1.wire
			in2    => hdl_import_w2_wire,       --    in2.wire
			in3    => hdl_import_w3_wire        --    in3.wire
		);

	hdl_import4 : component bit5
		port map (
			x   => clock_0_clock_output_clk,          --   x.clk
			u   => logical_bit_operator_result_wire,  --   u.wire
			d   => logical_bit_operator1_result_wire, --   d.wire
			clr => sw17_0_output_wire,                -- clr.wire
			e   => logical_bit_operator3_result_wire, --   e.wire
			Q7  => hdl_import4_q7_wire,               --  Q7.wire
			Q6  => hdl_import4_q6_wire,               --  Q6.wire
			Q5  => hdl_import4_q5_wire,               --  Q5.wire
			Q4  => hdl_import4_q4_wire,               --  Q4.wire
			Q3  => hdl_import4_q3_wire,               --  Q3.wire
			Q2  => hdl_import4_q2_wire,               --  Q2.wire
			Q1  => hdl_import4_q1_wire,               --  Q1.wire
			Q0  => hdl_import4_q0_wire                --  Q0.wire
		);

	multiplexer : component alt_dspbuilder_multiplexer_GN2LYSYNCA
		generic map (
			number_inputs          => 4,
			pipeline               => 0,
			width                  => 7,
			use_one_hot_select_bus => 0,
			HDLTYPE                => "STD_LOGIC_VECTOR"
		)
		port map (
			clock     => clock_0_clock_output_clk,            -- clock_aclr.clk
			aclr      => clock_0_clock_output_reset,          --           .reset
			sel       => cast8_output_wire,                   --        sel.wire
			result    => multiplexer_result_wire,             --     result.wire
			ena       => multiplexerenavcc_output_wire,       --        ena.wire
			user_aclr => multiplexeruser_aclrgnd_output_wire, --  user_aclr.wire
			in0       => bus_builder6_output_wire,            --        in0.wire
			in1       => bus_builder2_output_wire,            --        in1.wire
			in2       => bus_builder3_output_wire,            --        in2.wire
			in3       => bus_builder4_output_wire             --        in3.wire
		);

	multiplexeruser_aclrgnd : component alt_dspbuilder_gnd_GN
		port map (
			output => multiplexeruser_aclrgnd_output_wire  -- output.wire
		);

	multiplexerenavcc : component alt_dspbuilder_vcc_GN
		port map (
			output => multiplexerenavcc_output_wire  -- output.wire
		);

	hdl_import5 : component bit5
		port map (
			x   => clock_0_clock_output_clk,          --   x.clk
			u   => logical_bit_operator_result_wire,  --   u.wire
			d   => logical_bit_operator1_result_wire, --   d.wire
			clr => sw17_0_output_wire,                -- clr.wire
			e   => logical_bit_operator4_result_wire, --   e.wire
			Q7  => hdl_import5_q7_wire,               --  Q7.wire
			Q6  => hdl_import5_q6_wire,               --  Q6.wire
			Q5  => hdl_import5_q5_wire,               --  Q5.wire
			Q4  => hdl_import5_q4_wire,               --  Q4.wire
			Q3  => hdl_import5_q3_wire,               --  Q3.wire
			Q2  => hdl_import5_q2_wire,               --  Q2.wire
			Q1  => hdl_import5_q1_wire,               --  Q1.wire
			Q0  => hdl_import5_q0_wire                --  Q0.wire
		);

	bus_builder8 : component alt_dspbuilder_bus_build_GNJDV7M2AM
		generic map (
			width => 4
		)
		port map (
			output => bus_builder8_output_wire, -- output.wire
			in0    => hdl_import2_w0_wire,      --    in0.wire
			in1    => hdl_import2_w1_wire,      --    in1.wire
			in2    => hdl_import2_w2_wire,      --    in2.wire
			in3    => hdl_import2_w3_wire       --    in3.wire
		);

	bus_builder9 : component alt_dspbuilder_bus_build_GNJDV7M2AM
		generic map (
			width => 4
		)
		port map (
			output => bus_builder9_output_wire, -- output.wire
			in0    => hdl_import3_q0_wire,      --    in0.wire
			in1    => hdl_import3_q1_wire,      --    in1.wire
			in2    => hdl_import3_q2_wire,      --    in2.wire
			in3    => hdl_import3_q3_wire       --    in3.wire
		);

	bus_builder6 : component alt_dspbuilder_bus_build_GNXSVSW2ZT
		generic map (
			width => 7
		)
		port map (
			output => bus_builder6_output_wire, -- output.wire
			in0    => vcc4_output_wire,         --    in0.wire
			in1    => vcc4_output_wire,         --    in1.wire
			in2    => vcc4_output_wire,         --    in2.wire
			in3    => vcc4_output_wire,         --    in3.wire
			in4    => vcc4_output_wire,         --    in4.wire
			in5    => vcc4_output_wire,         --    in5.wire
			in6    => vcc4_output_wire          --    in6.wire
		);

	bus_builder7 : component alt_dspbuilder_bus_build_GNJDV7M2AM
		generic map (
			width => 4
		)
		port map (
			output => bus_builder7_output_wire, -- output.wire
			in0    => hdl_import2_q0_wire,      --    in0.wire
			in1    => hdl_import2_q1_wire,      --    in1.wire
			in2    => hdl_import2_q2_wire,      --    in2.wire
			in3    => hdl_import2_q3_wire       --    in3.wire
		);

	bus_builder4 : component alt_dspbuilder_bus_build_GNXSVSW2ZT
		generic map (
			width => 7
		)
		port map (
			output => bus_builder4_output_wire, -- output.wire
			in0    => gnd3_output_wire,         --    in0.wire
			in1    => gnd3_output_wire,         --    in1.wire
			in2    => gnd3_output_wire,         --    in2.wire
			in3    => gnd3_output_wire,         --    in3.wire
			in4    => gnd3_output_wire,         --    in4.wire
			in5    => gnd3_output_wire,         --    in5.wire
			in6    => vcc3_output_wire          --    in6.wire
		);

	bus_builder5 : component alt_dspbuilder_bus_build_GNGCK3JP43
		generic map (
			width => 2
		)
		port map (
			output => bus_builder5_output_wire, -- output.wire
			in0    => hdl_import1_q0_wire,      --    in0.wire
			in1    => hdl_import1_q1_wire       --    in1.wire
		);

	logical_bit_operator7 : component alt_dspbuilder_logical_bit_op_GNKUBZL4TE
		generic map (
			number_inputs => 1,
			LogicalOp     => "AltNOT"
		)
		port map (
			result => logical_bit_operator7_result_wire, -- result.wire
			data0  => hdl_import1_q0_wire                --  data0.wire
		);

	logical_bit_operator6 : component alt_dspbuilder_logical_bit_op_GNKUBZL4TE
		generic map (
			number_inputs => 1,
			LogicalOp     => "AltNOT"
		)
		port map (
			result => logical_bit_operator6_result_wire, -- result.wire
			data0  => hdl_import1_q1_wire                --  data0.wire
		);

	logical_bit_operator5 : component alt_dspbuilder_logical_bit_op_GNA5ZFEL7V
		generic map (
			number_inputs => 2,
			LogicalOp     => "AltAND"
		)
		port map (
			result => logical_bit_operator5_result_wire, -- result.wire
			data0  => hdl_import1_q0_wire,               --  data0.wire
			data1  => hdl_import1_q1_wire                --  data1.wire
		);

	logical_bit_operator4 : component alt_dspbuilder_logical_bit_op_GNA5ZFEL7V
		generic map (
			number_inputs => 2,
			LogicalOp     => "AltAND"
		)
		port map (
			result => logical_bit_operator4_result_wire, -- result.wire
			data0  => logical_bit_operator7_result_wire, --  data0.wire
			data1  => hdl_import1_q1_wire                --  data1.wire
		);

	delay : component alt_dspbuilder_delay_GNGQ56ZS4N
		generic map (
			width      => 1,
			delay      => 1,
			ClockPhase => "1",
			use_init   => 0,
			BitPattern => "1"
		)
		port map (
			input  => cast19_output_wire,         --      input.wire
			clock  => clock_0_clock_output_clk,   -- clock_aclr.clk
			aclr   => clock_0_clock_output_reset, --           .reset
			output => delay_output_wire,          --     output.wire
			sclr   => delaysclrgnd_output_wire,   --       sclr.wire
			ena    => delayenavcc_output_wire     --        ena.wire
		);

	delaysclrgnd : component alt_dspbuilder_gnd_GN
		port map (
			output => delaysclrgnd_output_wire  -- output.wire
		);

	delayenavcc : component alt_dspbuilder_vcc_GN
		port map (
			output => delayenavcc_output_wire  -- output.wire
		);

	vcc1 : component alt_dspbuilder_vcc_GN
		port map (
			output => vcc1_output_wire  -- output.wire
		);

	vcc4 : component alt_dspbuilder_vcc_GN
		port map (
			output => vcc4_output_wire  -- output.wire
		);

	logical_bit_operator3 : component alt_dspbuilder_logical_bit_op_GNA5ZFEL7V
		generic map (
			number_inputs => 2,
			LogicalOp     => "AltAND"
		)
		port map (
			result => logical_bit_operator3_result_wire, -- result.wire
			data0  => hdl_import1_q0_wire,               --  data0.wire
			data1  => logical_bit_operator6_result_wire  --  data1.wire
		);

	logical_bit_operator2 : component alt_dspbuilder_logical_bit_op_GNKUBZL4TE
		generic map (
			number_inputs => 1,
			LogicalOp     => "AltNOT"
		)
		port map (
			result => logical_bit_operator2_result_wire, -- result.wire
			data0  => pb3_0_output_wire                  --  data0.wire
		);

	vcc2 : component alt_dspbuilder_vcc_GN
		port map (
			output => vcc2_output_wire  -- output.wire
		);

	logical_bit_operator1 : component alt_dspbuilder_logical_bit_op_GNKUBZL4TE
		generic map (
			number_inputs => 1,
			LogicalOp     => "AltNOT"
		)
		port map (
			result => logical_bit_operator1_result_wire, -- result.wire
			data0  => cast7_output_wire                  --  data0.wire
		);

	vcc3 : component alt_dspbuilder_vcc_GN
		port map (
			output => vcc3_output_wire  -- output.wire
		);

	simple_7_segment_display_0_0 : component alt_dspbuilder_port_GNLJ3WZK52
		port map (
			input  => cast21_output_wire,         --  input.wire
			output => Simple_7_Segment_Display_0  -- output.wire
		);

	simple_7_segment_display_1_0 : component alt_dspbuilder_port_GNLJ3WZK52
		port map (
			input  => cast22_output_wire,         --  input.wire
			output => Simple_7_Segment_Display_1  -- output.wire
		);

	simple_7_segment_display_3_0 : component alt_dspbuilder_port_GNLJ3WZK52
		port map (
			input  => cast23_output_wire,         --  input.wire
			output => Simple_7_Segment_Display_3  -- output.wire
		);

	sw17_0 : component alt_dspbuilder_port_GN37ALZBS4
		port map (
			input  => SW17,               --  input.wire
			output => sw17_0_output_wire  -- output.wire
		);

	binary_to_seven_segments1 : component alt_dspbuilder_binary_to_7segment_GN
		port map (
			clock  => clock_0_clock_output_clk,              -- clock_aclr.clk
			aclr   => clock_0_clock_output_reset,            --           .reset
			data   => cast1_output_wire,                     --       data.wire
			result => binary_to_seven_segments1_result_wire  --     result.wire
		);

	pb3_0 : component alt_dspbuilder_port_GN37ALZBS4
		port map (
			input  => PB3,               --  input.wire
			output => pb3_0_output_wire  -- output.wire
		);

	binary_to_seven_segments3 : component alt_dspbuilder_binary_to_7segment_GN
		port map (
			clock  => clock_0_clock_output_clk,              -- clock_aclr.clk
			aclr   => clock_0_clock_output_reset,            --           .reset
			data   => cast4_output_wire,                     --       data.wire
			result => binary_to_seven_segments3_result_wire  --     result.wire
		);

	pb2_0 : component alt_dspbuilder_port_GN37ALZBS4
		port map (
			input  => PB2,               --  input.wire
			output => pb2_0_output_wire  -- output.wire
		);

	binary_to_seven_segments2 : component alt_dspbuilder_binary_to_7segment_GN
		port map (
			clock  => clock_0_clock_output_clk,              -- clock_aclr.clk
			aclr   => clock_0_clock_output_reset,            --           .reset
			data   => cast3_output_wire,                     --       data.wire
			result => binary_to_seven_segments2_result_wire  --     result.wire
		);

	multiplexer1 : component alt_dspbuilder_multiplexer_GNTDNMXMER
		generic map (
			number_inputs          => 4,
			pipeline               => 0,
			width                  => 8,
			use_one_hot_select_bus => 0,
			HDLTYPE                => "STD_LOGIC_VECTOR"
		)
		port map (
			clock     => clock_0_clock_output_clk,             -- clock_aclr.clk
			aclr      => clock_0_clock_output_reset,           --           .reset
			sel       => cast9_output_wire,                    --        sel.wire
			result    => multiplexer1_result_wire,             --     result.wire
			ena       => multiplexer1enavcc_output_wire,       --        ena.wire
			user_aclr => multiplexer1user_aclrgnd_output_wire, --  user_aclr.wire
			in0       => cast10_output_wire,                   --        in0.wire
			in1       => cast11_output_wire,                   --        in1.wire
			in2       => cast12_output_wire,                   --        in2.wire
			in3       => cast13_output_wire                    --        in3.wire
		);

	multiplexer1user_aclrgnd : component alt_dspbuilder_gnd_GN
		port map (
			output => multiplexer1user_aclrgnd_output_wire  -- output.wire
		);

	multiplexer1enavcc : component alt_dspbuilder_vcc_GN
		port map (
			output => multiplexer1enavcc_output_wire  -- output.wire
		);

	binary_to_seven_segments5 : component alt_dspbuilder_binary_to_7segment_GN
		port map (
			clock  => clock_0_clock_output_clk,              -- clock_aclr.clk
			aclr   => clock_0_clock_output_reset,            --           .reset
			data   => cast2_output_wire,                     --       data.wire
			result => binary_to_seven_segments5_result_wire  --     result.wire
		);

	multiplexer2 : component alt_dspbuilder_multiplexer_GNTDNMXMER
		generic map (
			number_inputs          => 4,
			pipeline               => 0,
			width                  => 8,
			use_one_hot_select_bus => 0,
			HDLTYPE                => "STD_LOGIC_VECTOR"
		)
		port map (
			clock     => clock_0_clock_output_clk,             -- clock_aclr.clk
			aclr      => clock_0_clock_output_reset,           --           .reset
			sel       => cast14_output_wire,                   --        sel.wire
			result    => multiplexer2_result_wire,             --     result.wire
			ena       => multiplexer2enavcc_output_wire,       --        ena.wire
			user_aclr => multiplexer2user_aclrgnd_output_wire, --  user_aclr.wire
			in0       => cast15_output_wire,                   --        in0.wire
			in1       => cast16_output_wire,                   --        in1.wire
			in2       => cast17_output_wire,                   --        in2.wire
			in3       => cast18_output_wire                    --        in3.wire
		);

	multiplexer2user_aclrgnd : component alt_dspbuilder_gnd_GN
		port map (
			output => multiplexer2user_aclrgnd_output_wire  -- output.wire
		);

	multiplexer2enavcc : component alt_dspbuilder_vcc_GN
		port map (
			output => multiplexer2enavcc_output_wire  -- output.wire
		);

	binary_to_seven_segments4 : component alt_dspbuilder_binary_to_7segment_GN
		port map (
			clock  => clock_0_clock_output_clk,              -- clock_aclr.clk
			aclr   => clock_0_clock_output_reset,            --           .reset
			data   => cast5_output_wire,                     --       data.wire
			result => binary_to_seven_segments4_result_wire  --     result.wire
		);

	hdl_import : component bit4
		port map (
			x   => clock_0_clock_output_clk,          --   x.clk
			u   => logical_bit_operator_result_wire,  --   u.wire
			d   => logical_bit_operator1_result_wire, --   d.wire
			e   => logical_bit_operator3_result_wire, --   e.wire
			clr => sw17_0_output_wire,                -- clr.wire
			Q3  => hdl_import_q3_wire,                --  Q3.wire
			Q2  => hdl_import_q2_wire,                --  Q2.wire
			Q1  => hdl_import_q1_wire,                --  Q1.wire
			Q0  => hdl_import_q0_wire,                --  Q0.wire
			W3  => hdl_import_w3_wire,                --  W3.wire
			W2  => hdl_import_w2_wire,                --  W2.wire
			W1  => hdl_import_w1_wire,                --  W1.wire
			W0  => hdl_import_w0_wire                 --  W0.wire
		);

	hdl_import1 : component bit2
		port map (
			x   => clock_0_clock_output_clk,          --   x.clk
			clk => logical_bit_operator2_result_wire, -- clk.wire
			clr => sw17_0_output_wire,                -- clr.wire
			Q1  => hdl_import1_q1_wire,               --  Q1.wire
			Q0  => hdl_import1_q0_wire                --  Q0.wire
		);

	hdl_import3 : component bit4
		port map (
			x   => clock_0_clock_output_clk,          --   x.clk
			u   => logical_bit_operator_result_wire,  --   u.wire
			d   => logical_bit_operator1_result_wire, --   d.wire
			e   => logical_bit_operator5_result_wire, --   e.wire
			clr => sw17_0_output_wire,                -- clr.wire
			Q3  => hdl_import3_q3_wire,               --  Q3.wire
			Q2  => hdl_import3_q2_wire,               --  Q2.wire
			Q1  => hdl_import3_q1_wire,               --  Q1.wire
			Q0  => hdl_import3_q0_wire,               --  Q0.wire
			W3  => hdl_import3_w3_wire,               --  W3.wire
			W2  => hdl_import3_w2_wire,               --  W2.wire
			W1  => hdl_import3_w1_wire,               --  W1.wire
			W0  => hdl_import3_w0_wire                --  W0.wire
		);

	hdl_import2 : component bit4
		port map (
			x   => clock_0_clock_output_clk,          --   x.clk
			u   => logical_bit_operator_result_wire,  --   u.wire
			d   => logical_bit_operator1_result_wire, --   d.wire
			e   => logical_bit_operator4_result_wire, --   e.wire
			clr => sw17_0_output_wire,                -- clr.wire
			Q3  => hdl_import2_q3_wire,               --  Q3.wire
			Q2  => hdl_import2_q2_wire,               --  Q2.wire
			Q1  => hdl_import2_q1_wire,               --  Q1.wire
			Q0  => hdl_import2_q0_wire,               --  Q0.wire
			W3  => hdl_import2_w3_wire,               --  W3.wire
			W2  => hdl_import2_w2_wire,               --  W2.wire
			W1  => hdl_import2_w1_wire,               --  W1.wire
			W0  => hdl_import2_w0_wire                --  W0.wire
		);

	pb1_0 : component alt_dspbuilder_port_GN37ALZBS4
		port map (
			input  => PB1,               --  input.wire
			output => pb1_0_output_wire  -- output.wire
		);

	ledg3_0 : component alt_dspbuilder_port_GN37ALZBS4
		port map (
			input  => hdl_import5_q3_wire, --  input.wire
			output => LEDG3                -- output.wire
		);

	ledg2_0 : component alt_dspbuilder_port_GN37ALZBS4
		port map (
			input  => hdl_import5_q2_wire, --  input.wire
			output => LEDG2                -- output.wire
		);

	ledg1_0 : component alt_dspbuilder_port_GN37ALZBS4
		port map (
			input  => hdl_import5_q1_wire, --  input.wire
			output => LEDG1                -- output.wire
		);

	ledg0_0 : component alt_dspbuilder_port_GN37ALZBS4
		port map (
			input  => hdl_import5_q0_wire, --  input.wire
			output => LEDG0                -- output.wire
		);

	ledg7_0 : component alt_dspbuilder_port_GN37ALZBS4
		port map (
			input  => hdl_import5_q7_wire, --  input.wire
			output => LEDG7                -- output.wire
		);

	ledg6_0 : component alt_dspbuilder_port_GN37ALZBS4
		port map (
			input  => hdl_import5_q6_wire, --  input.wire
			output => LEDG6                -- output.wire
		);

	ledg5_0 : component alt_dspbuilder_port_GN37ALZBS4
		port map (
			input  => hdl_import5_q5_wire, --  input.wire
			output => LEDG5                -- output.wire
		);

	ledg4_0 : component alt_dspbuilder_port_GN37ALZBS4
		port map (
			input  => hdl_import5_q4_wire, --  input.wire
			output => LEDG4                -- output.wire
		);

	binary_to_seven_segments : component alt_dspbuilder_binary_to_7segment_GN
		port map (
			clock  => clock_0_clock_output_clk,             -- clock_aclr.clk
			aclr   => clock_0_clock_output_reset,           --           .reset
			data   => cast0_output_wire,                    --       data.wire
			result => binary_to_seven_segments_result_wire  --     result.wire
		);

	led4_0 : component alt_dspbuilder_port_GN37ALZBS4
		port map (
			input  => hdl_import4_q4_wire, --  input.wire
			output => LED4                 -- output.wire
		);

	led3_0 : component alt_dspbuilder_port_GN37ALZBS4
		port map (
			input  => hdl_import4_q3_wire, --  input.wire
			output => LED3                 -- output.wire
		);

	led6_0 : component alt_dspbuilder_port_GN37ALZBS4
		port map (
			input  => hdl_import4_q6_wire, --  input.wire
			output => LED6                 -- output.wire
		);

	led5_0 : component alt_dspbuilder_port_GN37ALZBS4
		port map (
			input  => hdl_import4_q5_wire, --  input.wire
			output => LED5                 -- output.wire
		);

	logical_bit_operator : component alt_dspbuilder_logical_bit_op_GNKUBZL4TE
		generic map (
			number_inputs => 1,
			LogicalOp     => "AltNOT"
		)
		port map (
			result => logical_bit_operator_result_wire, -- result.wire
			data0  => cast6_output_wire                 --  data0.wire
		);

	led7_0 : component alt_dspbuilder_port_GN37ALZBS4
		port map (
			input  => hdl_import4_q7_wire, --  input.wire
			output => LED7                 -- output.wire
		);

	led0_0 : component alt_dspbuilder_port_GN37ALZBS4
		port map (
			input  => hdl_import4_q0_wire, --  input.wire
			output => LED0                 -- output.wire
		);

	led2_0 : component alt_dspbuilder_port_GN37ALZBS4
		port map (
			input  => hdl_import4_q2_wire, --  input.wire
			output => LED2                 -- output.wire
		);

	led1_0 : component alt_dspbuilder_port_GN37ALZBS4
		port map (
			input  => hdl_import4_q1_wire, --  input.wire
			output => LED1                 -- output.wire
		);

	bus_builder10 : component alt_dspbuilder_bus_build_GNJDV7M2AM
		generic map (
			width => 4
		)
		port map (
			output => bus_builder10_output_wire, -- output.wire
			in0    => hdl_import3_w0_wire,       --    in0.wire
			in1    => hdl_import3_w1_wire,       --    in1.wire
			in2    => hdl_import3_w2_wire,       --    in2.wire
			in3    => hdl_import3_w3_wire        --    in3.wire
		);

	delay1 : component alt_dspbuilder_delay_GNGQ56ZS4N
		generic map (
			width      => 1,
			delay      => 1,
			ClockPhase => "1",
			use_init   => 0,
			BitPattern => "1"
		)
		port map (
			input  => cast20_output_wire,         --      input.wire
			clock  => clock_0_clock_output_clk,   -- clock_aclr.clk
			aclr   => clock_0_clock_output_reset, --           .reset
			output => delay1_output_wire,         --     output.wire
			sclr   => delay1sclrgnd_output_wire,  --       sclr.wire
			ena    => delay1enavcc_output_wire    --        ena.wire
		);

	delay1sclrgnd : component alt_dspbuilder_gnd_GN
		port map (
			output => delay1sclrgnd_output_wire  -- output.wire
		);

	delay1enavcc : component alt_dspbuilder_vcc_GN
		port map (
			output => delay1enavcc_output_wire  -- output.wire
		);

	gnd3 : component alt_dspbuilder_gnd_GN
		port map (
			output => gnd3_output_wire  -- output.wire
		);

	gnd1 : component alt_dspbuilder_gnd_GN
		port map (
			output => gnd1_output_wire  -- output.wire
		);

	gnd2 : component alt_dspbuilder_gnd_GN
		port map (
			output => gnd2_output_wire  -- output.wire
		);

	cast0 : component alt_dspbuilder_cast_GNMMXHT3UH
		generic map (
			saturate => 0,
			round    => 0
		)
		port map (
			input  => bus_builder_output_wire, --  input.wire
			output => cast0_output_wire        -- output.wire
		);

	cast1 : component alt_dspbuilder_cast_GNMMXHT3UH
		generic map (
			saturate => 0,
			round    => 0
		)
		port map (
			input  => bus_builder1_output_wire, --  input.wire
			output => cast1_output_wire         -- output.wire
		);

	cast2 : component alt_dspbuilder_cast_GNMMXHT3UH
		generic map (
			saturate => 0,
			round    => 0
		)
		port map (
			input  => bus_builder10_output_wire, --  input.wire
			output => cast2_output_wire          -- output.wire
		);

	cast3 : component alt_dspbuilder_cast_GNMMXHT3UH
		generic map (
			saturate => 0,
			round    => 0
		)
		port map (
			input  => bus_builder7_output_wire, --  input.wire
			output => cast3_output_wire         -- output.wire
		);

	cast4 : component alt_dspbuilder_cast_GNMMXHT3UH
		generic map (
			saturate => 0,
			round    => 0
		)
		port map (
			input  => bus_builder8_output_wire, --  input.wire
			output => cast4_output_wire         -- output.wire
		);

	cast5 : component alt_dspbuilder_cast_GNMMXHT3UH
		generic map (
			saturate => 0,
			round    => 0
		)
		port map (
			input  => bus_builder9_output_wire, --  input.wire
			output => cast5_output_wire         -- output.wire
		);

	cast6 : component alt_dspbuilder_cast_GNSB3OXIQS
		generic map (
			saturate => 0,
			round    => 0
		)
		port map (
			input  => delay_output_wire, --  input.wire
			output => cast6_output_wire  -- output.wire
		);

	cast7 : component alt_dspbuilder_cast_GNSB3OXIQS
		generic map (
			saturate => 0,
			round    => 0
		)
		port map (
			input  => delay1_output_wire, --  input.wire
			output => cast7_output_wire   -- output.wire
		);

	cast8 : component alt_dspbuilder_cast_GNJ2LKRJ5Z
		generic map (
			saturate => 0,
			round    => 0
		)
		port map (
			input  => bus_builder5_output_wire, --  input.wire
			output => cast8_output_wire         -- output.wire
		);

	cast9 : component alt_dspbuilder_cast_GNJ2LKRJ5Z
		generic map (
			saturate => 0,
			round    => 0
		)
		port map (
			input  => bus_builder5_output_wire, --  input.wire
			output => cast9_output_wire         -- output.wire
		);

	cast10 : component alt_dspbuilder_cast_GNNIDJQYAP
		generic map (
			saturate => 0,
			round    => 0
		)
		port map (
			input  => bus_builder6_output_wire, --  input.wire
			output => cast10_output_wire        -- output.wire
		);

	cast11 : component alt_dspbuilder_cast_GNCTOBGS2T
		generic map (
			saturate => 0,
			round    => 0
		)
		port map (
			input  => binary_to_seven_segments_result_wire, --  input.wire
			output => cast11_output_wire                    -- output.wire
		);

	cast12 : component alt_dspbuilder_cast_GNCTOBGS2T
		generic map (
			saturate => 0,
			round    => 0
		)
		port map (
			input  => binary_to_seven_segments2_result_wire, --  input.wire
			output => cast12_output_wire                     -- output.wire
		);

	cast13 : component alt_dspbuilder_cast_GNCTOBGS2T
		generic map (
			saturate => 0,
			round    => 0
		)
		port map (
			input  => binary_to_seven_segments4_result_wire, --  input.wire
			output => cast13_output_wire                     -- output.wire
		);

	cast14 : component alt_dspbuilder_cast_GNJ2LKRJ5Z
		generic map (
			saturate => 0,
			round    => 0
		)
		port map (
			input  => bus_builder5_output_wire, --  input.wire
			output => cast14_output_wire        -- output.wire
		);

	cast15 : component alt_dspbuilder_cast_GNNIDJQYAP
		generic map (
			saturate => 0,
			round    => 0
		)
		port map (
			input  => bus_builder6_output_wire, --  input.wire
			output => cast15_output_wire        -- output.wire
		);

	cast16 : component alt_dspbuilder_cast_GNCTOBGS2T
		generic map (
			saturate => 0,
			round    => 0
		)
		port map (
			input  => binary_to_seven_segments1_result_wire, --  input.wire
			output => cast16_output_wire                     -- output.wire
		);

	cast17 : component alt_dspbuilder_cast_GNCTOBGS2T
		generic map (
			saturate => 0,
			round    => 0
		)
		port map (
			input  => binary_to_seven_segments3_result_wire, --  input.wire
			output => cast17_output_wire                     -- output.wire
		);

	cast18 : component alt_dspbuilder_cast_GNCTOBGS2T
		generic map (
			saturate => 0,
			round    => 0
		)
		port map (
			input  => binary_to_seven_segments5_result_wire, --  input.wire
			output => cast18_output_wire                     -- output.wire
		);

	cast19 : component alt_dspbuilder_cast_GN46N4UJ5S
		generic map (
			saturate => 0,
			round    => 0
		)
		port map (
			input  => pb1_0_output_wire,  --  input.wire
			output => cast19_output_wire  -- output.wire
		);

	cast20 : component alt_dspbuilder_cast_GN46N4UJ5S
		generic map (
			saturate => 0,
			round    => 0
		)
		port map (
			input  => pb2_0_output_wire,  --  input.wire
			output => cast20_output_wire  -- output.wire
		);

	cast21 : component alt_dspbuilder_cast_GNXFIR65ZQ
		generic map (
			saturate => 0,
			round    => 0
		)
		port map (
			input  => multiplexer1_result_wire, --  input.wire
			output => cast21_output_wire        -- output.wire
		);

	cast22 : component alt_dspbuilder_cast_GNXFIR65ZQ
		generic map (
			saturate => 0,
			round    => 0
		)
		port map (
			input  => multiplexer2_result_wire, --  input.wire
			output => cast22_output_wire        -- output.wire
		);

	cast23 : component alt_dspbuilder_cast_GNJKCVET7X
		generic map (
			saturate => 0,
			round    => 0
		)
		port map (
			input  => multiplexer_result_wire, --  input.wire
			output => cast23_output_wire       -- output.wire
		);

end architecture rtl; -- of proba_bit5_GN
